package com.tzld.piaoquan.ad.engine.service.predict.param.request;

import com.alibaba.fastjson.JSONObject;
import com.tzld.piaoquan.ad.engine.service.score.param.MachineInfoParam;
import lombok.Data;

/**
 * mid mid
 * videoId video_id
 * appType  app_id
 * abTestCode  用户对应的ab组--对应java group
 * abExpInfo AB实验组参数--封装后对应ab_exp_info
 * careModelStatus  用户关怀模式状态 1-未开启，2-开启
 */
@Data
public class ThresholdPredictModelRequestParam {
    String mid;
    Long videoId;
    Integer appType;
    String abTestCode;
    JSONObject abExpInfo;
    Long careModelStatus;
    Integer newExpGroup;
    String region = "-1";
    //市-中文
    String city = "-1";

    MachineInfoParam machineInfo = new MachineInfoParam();
}
